<h1>{{ user.name }}</h1>
<h2>Hola mundo</h2>
<p>
    {{ user.age }}
    <button (click)="increaseAge()">Aumentar edad</button>
</p>
<product-image (imageLoaded)="alertar($event)" url="lalalalalala"></product-image>
<form #registerForm="ngForm" (ngSubmit)="onSubmit()">
    <div>
        <label>Nombre</label>
        <input type="text" name="name" #inputName="ngModel" required [(ngModel)]="user.name" />
        <span class="invalid" *ngIf="inputName.invalid">El nombre no es válido</span>
    </div>
    <div>
        <label>Correo</label>
        <input type="email" name="email" #inputEmail="ngModel" required [(ngModel)]="user.email" />
        <span class="invalid" *ngIf="inputEmail.invalid">El correo no es válido</span>
    </div>
    <div>
        <label>Equipo</label>
        <select name="team" #selectTeam="ngModel" [(ngModel)]="user.team" required>
            <option *ngFor="let team of teams" [value]="team">{{ team }}</option>
        </select>
        <span class="invalid" *ngIf="inputEmail.invalid">El correo no es válido</span>
    </div>
    <div>
        <label>Clave</label>
        <input type="password" name="password" #inputPassword="ngModel" required [(ngModel)]="user.password" />
        <span class="invalid" *ngIf="inputPassword.invalid">La contraseña no es válida</span>
    </div>
    <div>
        <button type="submit" [disabled]="registerForm.invalid">Registrarse</button>
    </div>
    
    
</form>